package northwind_entities;// default package
// Generated Dec 23, 2019, 10:52:22 PM by Hibernate Tools 3.2.2.GA


import javax.persistence.*;
import java.util.HashSet;
import java.util.Set;

/**
 * OrdersStatus generated by hbm2java
 */
@Entity
@Table(name="orders_status"
    ,catalog="northwind"
)
public class OrdersStatus  implements java.io.Serializable {


     private byte id;
     private String statusName;
     private Set<Orders> orderses = new HashSet<Orders>(0);

    public OrdersStatus() {
    }

	
    public OrdersStatus(byte id, String statusName) {
        this.id = id;
        this.statusName = statusName;
    }
    public OrdersStatus(byte id, String statusName, Set<Orders> orderses) {
       this.id = id;
       this.statusName = statusName;
       this.orderses = orderses;
    }
   
    @Id
    
    @Column(name="id", unique=true, nullable=false)
    public byte getId() {
        return this.id;
    }
    
    public void setId(byte id) {
        this.id = id;
    }
    
    @Column(name="status_name", nullable=false, length=50)
    public String getStatusName() {
        return this.statusName;
    }
    
    public void setStatusName(String statusName) {
        this.statusName = statusName;
    }

    @OneToMany(cascade=CascadeType.ALL, fetch=FetchType.LAZY, mappedBy="ordersStatus")
    public Set<Orders> getOrderses() {
        return this.orderses;
    }
    
    public void setOrderses(Set<Orders> orderses) {
        this.orderses = orderses;
    }
}


